﻿using Infragistics.Controls.Editors;
using Infragistics.Controls.Editors.Primitives;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamComboEditorStaticStringCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {        
        StackPanel SP;
        public MainWindow()
        {
            InitializeComponent();            
        }                          

        private void XCE1_SelectionChanged(object sender, Infragistics.Controls.Editors.SelectionChangedEventArgs e)
        {
            SP = Utilities.GetDescendantFromName((DependencyObject)XCE1, "MultiSelectContentPanel") as StackPanel;
            
            if (XCE1.SelectedItems.Count > 1)
            {
                this.Dispatcher.BeginInvoke(new Action(() =>
                {
                    SP.Children.Clear();
                    SP.Children.Add(new TextBlock { Text = "Multiple Items Selected" });
                }));
            }          
        }         
    }
}
